Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javadoc
Interface SeeTag

public abstract interface SeeTag
extends Tag

Represents a see also documentation tag. The @see tag can be plain text, or reference a class or member.

Fields inherited from class java.io.Serializable
`serialVersionUID`

Method Summary
`java.lang.String` | `label()` Return the label of the see tag.
`ClassDoc` | `referencedClass()` get the class referenced by the class name part of @see, For instance, if the comment is @see String#startsWith(java.lang.String) .
`java.lang.String` | `referencedClassName()` get the class name part of @see, For instance, if the comment is @see String#startsWith(java.lang.String) .
`MemberDoc` | `referencedMember()` get the member referenced by the prototype part of @see, For instance, if the comment is @see String#startsWith(java.lang.String) .
`java.lang.String` | `referencedMemberName()` get the name of the member referenced by the prototype part of @see, For instance, if the comment is @see String#startsWith(java.lang.String) .
`PackageDoc` | `referencedPackage()` get the package referenced by @see.

Methods inherited from interface com.sun.javadoc.Tag
`firstSentenceTags, inlineTags, kind, name, text, toString`

Method Detail

### label

    public java.lang.String label()

  Return the label of the see tag.

### referencedPackage

    public PackageDoc referencedPackage()

  get the package referenced by @see. For instance, if the comment is @see java.lang This function returns a PackageDoc for java.lang Returns null if no known package found.

### referencedClassName

    public java.lang.String referencedClassName()

  get the class name part of @see, For instance, if the comment is @see String#startsWith(java.lang.String) . This function returns String. Returns null if format was not that of java reference. Return empty string if class name was not specified..

### referencedClass

    public ClassDoc referencedClass()

  get the class referenced by the class name part of @see, For instance, if the comment is @see String#startsWith(java.lang.String) . This function returns a ClassDoc for java.lang.String. Returns null if class is not a class specified on the javadoc command line..

### referencedMemberName

    public java.lang.String referencedMemberName()

  get the name of the member referenced by the prototype part of @see, For instance, if the comment is @see String#startsWith(java.lang.String) . This function returns "startsWith(java.lang.String)" Returns null if format was not that of java reference. Return empty string if member name was not specified..

### referencedMember

    public MemberDoc referencedMember()

  get the member referenced by the prototype part of @see, For instance, if the comment is @see String#startsWith(java.lang.String) . This function returns a MethodDoc for startsWith. Returns null if member could not be determined.

Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD